## bombono-dvd 0.5.5

=== SConstruct ===
#!/usr/bin/env python
import string
import os
import sys

scripts_path = 'tools/scripts'

sys.path.append(scripts_path)
import BuildVars as BV

#
# Atom's project main SConstruct file
#
# (inspired by Blender's SConstruct file,
#  http://www.blender.org/)
#

BV.Args = ARGUMENTS
BV.Targets = COMMAND_LINE_TARGETS

############################################
# Dependency libraries

# via pkg-config
RequiredLibs = ['glibmm-2.4', 'libxml++-2.6', 'mjpegtools', 'GraphicsMagick++', 'gtkmm-2.4']

# define path to libs
def SetLibraries(config, user_options_dict):
    for lib in RequiredLibs:
        BV.SetLibInfo(config, user_options_dict, lib)

# 
def AddLibOptions(user_options):
    # we make arg's tuple from list
    args = tuple([ (BV.MakeDictName(lib),) for lib in RequiredLibs ])
    user_options.AddVariables(*args)
        
############################################
# Compilers

common_warn_flags = []
cxx_warn_flags    = []
debug_flags   = ['-g', '-O0']
release_flags = ['-O2']
profile_flags = ['-g'] #['-pg']
defines       = []

def CalcCommonFlags():
    if BV.IsReenter(CalcCommonFlags):
        return

    global common_warn_flags, cxx_warn_flags, profile_flags, defines
    if BV.IsGccCompiler():
        # GCC
        common_warn_flags = ['-ansi']
        # -Wno-reorder - not to warn if not accurate order in ctor (let compiler do!)
        # :TODO: why 
        #   CXXCOM = $CXX -o $TARGET -c $CXXFLAGS $CCFLAGS ...
        # but not
        #   CXXCOM = $CXX -o $TARGET -c $CCFLAGS $CXXFLAGS ...
        cxx_warn_flags = ['-Wall', '-W', '-Wno-reorder'] # -W == -Wextra

    elif BV.Cc == 'como' or BV.Cxx == 'como':
        # Comeau compiler
        #
        # Currently used as compile-link check only to conform "clean C++" better.
        # See extended remarks about settings used here
        #

        # don't mix compilers
        BV.Cc  = 'como'
        BV.Cxx = 'como'

        common_warn_flags = \
        [
         # accept defines like #define g_error(...) __VA_ARGS__   
         '--variadic_macros', 
         # 1   do not warn when overloaded virtual function is partially overridden
         # 2,3 type qualifiers are meaningless
         # 4   delete of pointer to incomplete class
         '--diag_suppress=611,21,815,414',
        ]
        cxx_warn_flags = []
        profile_flags = []
        # policy: no XOPEN things meanwhile.
        defines = [ 
                    ('_POSIX_C_SOURCE','200112L'),  # fdopen(), fileno(), ...
                    'BOOST_NO_INT64_T',             # Glibc' int64_t trap for non-gcc compilers
                    '_ISOC99_SOURCE'                # C99 extentions: snprintf()
                  ]

def AdjustConfigOptions(env):
    CalcCommonFlags()

    if BV.IsDebugCfg():
        cflags = debug_flags
    else:
        cflags = release_flags

    ldflags = []
    if BV.BuildProfile:
        cflags += profile_flags
        ldflags += profile_flags
    
    env.Replace(CC = BV.Cc)
    env.Replace(CXX = BV.Cxx)
    env.Prepend(CCFLAGS = cflags)
    env.Prepend(LINKFLAGS = ldflags)
    env.Prepend(CPPDEFINES = defines)
    
    # to be able to override previous options (not just to add)
    env.Append(CCFLAGS = BV.CFlags.split())
    env.Append(CXXFLAGS = BV.CxxFlags.split())
    env.Append(LINKFLAGS = BV.LdFlags.split())
        
    # :TODO: set them when need
    #env.Replace (PATH = user_options_dict['PATH'])
    #env.Replace (AR = user_options_dict['AR'])

    # Large File Support
    if not BV.IsReenter(AdjustConfigOptions):
        if BV.IsSConsLE_0_96(env):
            # :TRICKY: nobody but me uses so old scons, so I do it straight
            dict = { 'CPPDEFINES': ['_LARGEFILE_SOURCE', ('_FILE_OFFSET_BITS', '64')] }
        else:
            dict = BV.ParseFlagsForCommand('getconf LFS_CFLAGS', 1)
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LDFLAGS'))
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LIBS'))
        AdjustConfigOptions.lfs = dict
    env.Append(**AdjustConfigOptions.lfs)

############################################
# Defaults

BV.CfgFile  = BV.Args.get('CFG_FILE','config.opts')

def_env = Environment(ENV = os.environ)
def_env_dict  = def_env.Dictionary()

user_options_dict = {} 

Variables = BV.Variables
EnumVariable = BV.EnumVariable
BoolVariable = BV.BoolVariable

def ParseVariables(user_options):
    user_options.AddVariables (
            (EnumVariable ('BUILD_CFG',
                        'Select release or debug build.', 
                        'release', allowed_values = ('release', 'debug'))),
    		('BUILD_DIR', 'Target directory for intermediate files.',
    					'build'),
            (BoolVariable ('BUILD_PROFILE',
                        #'Set to 1 if you want to compile in profiling information (gprof).',
                        'Set to 1 if you want to compile in profiling information (just -g for oprofile, not for gprof).',
                        'false')),
            (BoolVariable ('BUILD_BRIEF',
                        'Set to 1 if you want brief compiling/linking output.',
                        'false')),
            (BoolVariable ('BUILD_QUICK',
                        'Set to 1 if you want to reduce building time using: \n' +
                         '\t1) PCH - precompiled headers \n' +
                         '\t2) some SCons perfomance tuning.\t\t\t',
                        'false')),
            ('PREFIX',  'Change the default install directory.', '/usr/local'),
            ('DESTDIR', 'Set the intermediate install directory.', ''),
            ('CC', 'C compiler.'),
            ('CXX', 'C++ compiler.'),
    		('CFLAGS',  'Extra C Compiler flags (for C++ too).', ''),
    		('CXXFLAGS','Extra C++ Compiler flags.', ''),
    		('LDFLAGS', 'Extra Linker flags.', ''),
            (BoolVariable ('TEST',
                        'Set to 1 if you want to run tests for checking your build.',
                        'false')),
            (BoolVariable ('TEST_BUILD',
                        'Set to 1 if you want to build tests (for developers).',
                        'false')),
            (BoolVariable ('USE_EXT_BOOST',
                        'Leave this setting 0 to use embedded Boost library version (recommended).',
                        'false')),
            ('BOOST_INCLUDE', 'Set to include path for external(not embedded) version of the Boost library.', ''),
            ('BOOST_LIBPATH', 'Set to library dir path for external(not embedded) version of the Boost library.', ''),
            ('DVDREAD_INCLUDE', 'Set to include path for libdvdread header files.', ''),
            ('DVDREAD_LIBPATH', 'Set to library path where the libdvdread is located.', ''),
            )
    # we need to add 'lib dict vars' user_options to load in user_options_env
    AddLibOptions(user_options)

    # Configuration
    user_options.AddVariables( ('IS_GCC',), ('CONFIGURATION',) )

    # make help (scons -h)
    user_options_env = Environment(ENV = os.environ, options = user_options)
    Help(user_options.GenerateHelpText(user_options_env))
    # fill in user_env_dict
    global user_options_dict
    user_options_dict = user_options_env.Dictionary()
    # must be later than assigning
    Export('user_options_dict')
    BV.UserOptDict = user_options_dict
    user_options_dict['AdjustConfigOptions'] = AdjustConfigOptions

    # fill in BuildVars
    BV.BuildCfg = user_options_dict['BUILD_CFG']
    BV.BuildDir = user_options_dict['BUILD_DIR']
    BV.BuildProfile = user_options_dict['BUILD_PROFILE']
    BV.BuildBrief = user_options_dict['BUILD_BRIEF']

    BV.Cc  = user_options_dict['CC']
    BV.Cxx = user_options_dict['CXX']
    BV.CFlags = user_options_dict['CFLAGS']
    BV.CxxFlags = user_options_dict['CXXFLAGS']
    BV.LdFlags  = user_options_dict['LDFLAGS']
    BV.RunTests = user_options_dict['TEST']
    BV.BuildTests = user_options_dict['TEST_BUILD']

    # make build dir if not exist;
    # need to make manually for .sconsign
    if os.path.isdir(BV.BuildDir) == 0:
    	os.makedirs(BV.BuildDir)
    #SourceSignatures('timestamp')
    SConsignFile(BV.BuildDir+os.sep+'.sconsign')
    # conf dir
    user_options_dict['ConfigDir'] = BV.BuildDir+ '/' + BV.GetSrcDirPath() +'/cfg'
    user_options_dict['DVDREAD_DICT'] = { 'CPPPATH' : [user_options_dict['DVDREAD_INCLUDE']],
                                          'LIBPATH' : [user_options_dict['DVDREAD_LIBPATH']] }

############################################
# Config

if os.path.exists( BV.CfgFile ):
    print "Using config file: " + BV.CfgFile

    user_options = Variables(BV.CfgFile, BV.Args)
    ParseVariables(user_options)

else:
    print "Creating new config file: " + BV.CfgFile

    user_options = Variables(None, BV.Args)
    ParseVariables(user_options)
    try:
        # save to file
        config = open(BV.CfgFile, 'w')
    
        config.write("# Options for building Atom project\n")
        config.write('BUILD_CFG = %r\n' % (BV.BuildCfg))
        config.write('BUILD_DIR = %r\n' % (BV.BuildDir))
        config.write('BUILD_PROFILE = %r\n' % (BV.BuildProfile))
        config.write('BUILD_BRIEF = %r\n' % (BV.BuildBrief))
        config.write('BUILD_QUICK = %r\n' % (user_options_dict['BUILD_QUICK']))
        config.write('PREFIX = %r\n' % (user_options_dict['PREFIX']))
        config.write('DESTDIR = %r\n' % (user_options_dict['DESTDIR']))
    
        config.write('\n# Compiler information\n')
        config.write('CC = %r\n' % (BV.Cc))
        config.write('CXX = %r\n' % (BV.Cxx))
        config.write('CFLAGS = %r\n' % (BV.CFlags))
        config.write('CXXFLAGS = %r\n' % (BV.CxxFlags))
        config.write('LDFLAGS = %r\n' % (BV.LdFlags))

        config.write('\n# Test options\n')
        config.write('TEST = %r\n' % (BV.RunTests))
        config.write('TEST_BUILD = %r\n' % (BV.BuildTests))

        config.write('\n# Boost library\n')
        config.write('USE_EXT_BOOST = %r\n' % (user_options_dict['USE_EXT_BOOST']))
        config.write('BOOST_INCLUDE = %r\n' % (user_options_dict['BOOST_INCLUDE']))
        config.write('BOOST_LIBPATH = %r\n' % (user_options_dict['BOOST_LIBPATH']))

        config.write('\n# libdvdread library\n')
        config.write('DVDREAD_INCLUDE = %r\n' % (user_options_dict['DVDREAD_INCLUDE']))
        config.write('DVDREAD_LIBPATH = %r\n' % (user_options_dict['DVDREAD_LIBPATH']))

        config.write('\n### Calculated data ###\n')
        SConscript('Autoconfig')

        config.write('\nIS_GCC = %r\n' % (user_options_dict['IS_GCC']))

        config.write('\n# Configuration\n')
        config.write('CONFIGURATION = %r\n' % (user_options_dict['CONFIGURATION']))

        SetLibraries(config, user_options_dict)

        config.close()
    except:
        # something went wrong, remove config and exit/raise
        #print 'Error!'
        config.close()
        os.remove(BV.CfgFile)
        # raise is better, we'll see the error and its location
        raise #Exit(1)

BuildDir(BV.BuildDir, '.', duplicate=0)

def GenerateBaseConfigH(target, source, env):
    cfg_file = open(target[0].path, 'w')
    print >> cfg_file, "/* Generated by means of Autoconfig */"

    config_dict = user_options_dict['CONFIGURATION']
    key_list = config_dict.keys()
    key_list.sort()

    for key in key_list:
        var = config_dict[key]

        text = var.get('text', None)
        if text:
            print >> cfg_file
            BV.AddComment(cfg_file, var)
            print >> cfg_file, text
            continue

        BV.AddDefine(cfg_file, key, **var)
    return None

BV.MakeConfigFile( target = user_options_dict['ConfigDir']+"/config.h",
                   source = [BV.CfgFile],
                   gen_function = GenerateBaseConfigH )

############################################
# Main environment

# 1 main env
user_options_dict['LIB_BUILD_DIR'] =  '#'+BV.BuildDir+'/lib'
user_options_dict['BIN_BUILD_DIR'] =  '#'+BV.BuildDir+'/bin'

env  = BV.MakeMainEnv() #Environment(ENV = os.environ)

=== resources/scons_authoring/SConstruct ===
#!/usr/bin/env python
# coding: utf-8

from SConsTwin import MakeGenAction
import os

# поменьше служебных файлов на виду
tmp_dir = 'temp'
if os.path.isdir(tmp_dir) == 0:
    os.makedirs(tmp_dir)
SConsignFile(tmp_dir + os.sep + '.sconsign')

# нужен правильный $PATH и т.д.
# просто Replace() не дают сделать
DefaultEnvironment().Replace(ENV = os.environ)

# звук тишины для неподвижных меню
def GetkHzArgForToolame(kHz):
    return kHz * 1000

argHz = GetkHzArgForToolame(48)
Command('Silent.mp2', [], "dd if=/dev/zero bs=4 count=1920 | twolame -b 128 -s %d -r - $TARGET" % argHz)

# основная функция создания меню
import ADVD
MakeADVDMenu = ADVD.MakeMenu 
Export('MakeADVDMenu')

import ASettings
SConscript([menu + '/SConscript' for menu in ASettings.List])

#
# Получение опций
#
user_options = Options(None, ARGUMENTS)
user_options.AddOptions(
        ('DVDLabel', 'DVD Label', ASettings.DVDLabel),
        ('DVDDrive', 'DVD drive to burn', ASettings.DVDDrive),
        ('DVDSpeed', 'Writing speed', ASettings.DVDSpeed)
    )
user_options_env = Environment(ENV = os.environ, options = user_options)
Help(user_options.GenerateHelpText(user_options_env))
user_options_dict = user_options_env.Dictionary()

DVDLabel = user_options_env['DVDLabel']
DVDDrive = user_options_env['DVDDrive']
DVDSpeed = float(user_options_env['DVDSpeed'])

#
# Основная цель
#
dvd_dir = 'dvd'
# так как директория не может быть целью для команд, то выберем главный файл
dvd_scons_target = dvd_dir + '/VIDEO_TS/VIDEO_TS.IFO'
main_target = Command(dvd_scons_target, ['DVDAuthor.xml'] + ASettings.List,
                      [
                        Delete(dvd_dir),
                        "dvdauthor -o " + dvd_dir + " -x $SOURCE",
                      ])
Clean(main_target, dvd_dir)
Default(dvd_dir)

#
# Дополнительные цели
#
def ParentDir(fname):
    import os
    return os.path.dirname(fname)

def GetDVDDir(video_ts_source, is_abs):
    dvd_dir = video_ts_source.path
    if is_abs:
        dvd_dir = video_ts_source.abspath
    return ParentDir(ParentDir(dvd_dir))

# /totem - специально никогда недоступная цель, которую вызываем через нормальный alias
# по-другому не знаю как сделать всегда выполняющуюся цель
def MakeAbstractName(target_name):
    return "/__" + target_name

def MakeAbstractCommandForDVDDir(target_name, command_action):
    abs_name = MakeAbstractName(target_name)
    abs_target = Command(abs_name, [dvd_scons_target], MakeGenAction(command_action)) # command_gen(abs_name)
    Alias(target_name, abs_target)

# 
# * воспроизвести результат в Totem
#
# всю директорию указывать нельзя - scons будет пытаться со всех файлов брать md5="тупить на 4Gb"
def GenTotemAction(source, target, env, for_signature):
    return "totem dvd://%s" % (GetDVDDir(source[0], 1)) # 'totem dvd://${SOURCES[0].abspath}')

MakeAbstractCommandForDVDDir("totem", GenTotemAction)

DVDLabelOption = ''
if DVDLabel:
    DVDLabelOption = " -V '" + DVDLabel + "'"

def MkIsoArgs(source):
    return '%s -dvd-video %s' % (DVDLabelOption, GetDVDDir(source[0], 0))
#
# * записать iso-образ
#
def GenIsoAction(source, target, env, for_signature):
    return "mkisofs%s > %s" % (MkIsoArgs(source), target[0].path)

# Замечание: 'scons -c' не удаляет iso, надо 'scons -c dvd.iso'
Command(dvd_dir + '.iso', [dvd_scons_target], MakeGenAction(GenIsoAction)) # "mkisofs -dvd-video $SOURCE > $TARGET")

DVDDriveArg    = '/dev/null'
if DVDDrive:
    DVDDriveArg = DVDDrive

DVDSpeedOption = ''
if DVDSpeed:
    DVDSpeedOption = ' -speed=' + str(DVDSpeed)
#
# * прожечь на DVD = "growisofs -dry-run -dvd-compat -Z /dev/dvd -dvd-video dvd"
# -use-the-force-luke=tty - чтобы без сомнений переписывал сожержимое DVD-+RW
def GenBurnAction(source, target, env, for_signature):
    return "growisofs -dvd-compat -use-the-force-luke=tty%s -Z %s%s" % (DVDSpeedOption, DVDDriveArg, MkIsoArgs(source))

MakeAbstractCommandForDVDDir("burn", GenBurnAction)

=== debian/changelog ===
bombono-dvd (0.5.5-0ubuntu2) lucid; urgency=low

  * Add italian translation, thanks to Sergio Zanchetta.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 06:49:50 +0200

bombono-dvd (0.5.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.
  * Fix watch file.
  * Bump Standards.
  * Drop 01_toolame.diff and 03_scsi.diff, applied by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 12 Mar 2010 08:42:05 +0100

bombono-dvd (0.5.2-0.3ubuntu1) lucid; urgency=low

  * debian/*: Lines should be shorter than 80 characters.
  * Drop ccache support.
  * Switch to debian 3.0 (quilt) format.
  * Switch to debhelper 7.
  * debian/control:
    - Improve runtime descriptions.
    - Add missing ${misc:Depends} macro to Depends fields.
  * debian/mpeg2demux.1:
    - Fix hyphen-used-as-minus-sign lintian warning.
  * Add patch to adjust desktop file as per spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Feb 2010 11:05:11 +0100

bombono-dvd (0.5.2-0.3) unstable; urgency=low

  * debian/rules replace dh_installmanpages by dh_installman otherwise
    unwanted manpages are installed.

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Nov 2009 10:04:55 +0100

bombono-dvd (0.5.2-0.2) unstable; urgency=low

  * Should depends on scons.
  * Add an upstream patch to fix a bug when /proc/scsi/sg/devices is
    missing.
  * Added mpeg2demux and bombono-dvd manpages from upstream author.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Nov 2009 12:22:49 +0100

bombono-dvd (0.5.2-0.1) unstable; urgency=low

  * Delete generated config.opts file.
  * Add more option for sparc.

 -- Christian Marillat <marillat@debian.org>  Fri, 06 Nov 2009 22:09:31 +0100

bombono-dvd (0.5.2-0.0) unstable; urgency=low

  * First upload to my repository.

 -- Christian Marillat <marillat@debian.org>  Wed, 04 Nov 2009 11:44:54 +0100

bombono-dvd (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Thu, 24 Sep 2009 14:19:30 +0400

bombono-dvd (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Sun,  6 Sep 2009 23:25:15 +0400

bombono-dvd (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Ilya Murav'jov <muravev@yandex.ru>  Thu, 25 Jun 2009 18:01:22 +0400

=== debian/watch ===
version=3
http://sf.net/bombono/bombono-dvd-(.*)\.tar\.gz

## bombono-dvd 0.6.0

=== debian/changelog ===
bombono-dvd (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #565084).
  * Fix watch file.
  * Drop 11-it_translation.patch, pot template is changed.
  * Refresh 02_sparc.diff patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 08 May 2010 01:22:53 +0200

=== debian/control ===
Source: bombono-dvd
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Standards-Version: 3.8.4
Homepage: http://www.bombono.org
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 libdvdread-dev,
 libgtkmm-2.4-dev,
 libxml++2.6-dev,
 libmjpegtools-dev,
 libgraphicsmagick++1-dev,
 libboost-filesystem1.40-dev,
 libboost-regex1.40-dev

Package: bombono-dvd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
 dvdauthor,
 mjpegtools,
 dvd+rw-tools,
 twolame,
 bombono-dvd-data,
 scons
Suggests: totem
Description: DVD authoring program with nice and clean GUI
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.

Package: bombono-dvd-data
Architecture: all
Enhances: bombono-dvd
Depends: ${misc:Depends}
Description: Data files for bombono-dvd
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.
 .
 This package contains architecture-independent data files needed by
 bombono-dvd.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	dh_clean config.log tools/scripts/*.pyc config.opts

override_dh_auto_install:
	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp \
	CC="$(CC)" CXX="$(CXX)" install

## bombono-dvd 0.6.0-0ubuntu1trisquel1

=== resources/scons_authoring/SConstruct ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # coding: utf-8
 
-from SConsTwin import MakeGenAction
+from SConsTwin import MakeGenAction, IsSConsVersionGE
 import os
 
 # поменьше служебных файлов на виду
@@ -9,6 +9,16 @@
 if os.path.isdir(tmp_dir) == 0:
     os.makedirs(tmp_dir)
 SConsignFile(tmp_dir + os.sep + '.sconsign')
+
+if not IsSConsVersionGE((1, 1, 0)):
+    # до 1.1.0 md5 считалось чтением в строку (память) содержимого всего файла,
+    # что для гигабайтных файлов фатально
+    # Замечание: реально не вылетает если отключить вычисление csig, а не установкой
+    # SourceSignatures('timestamp'); потому что csig вычисляется всегда, "на всякий случай" для <= 1.1.0
+    from SCons.Node.FS import FileNodeInfo
+    FileNodeInfo.field_list.remove('csig')
+
+    SourceSignatures('timestamp')
 
 # нужен правильный $PATH и т.д.
 # просто Replace() не дают сделать
@@ -87,10 +97,17 @@
 # * воспроизвести результат в Totem
 #
 # всю директорию указывать нельзя - scons будет пытаться со всех файлов брать md5="тупить на 4Gb"
-def GenTotemAction(source, target, env, for_signature):
-    return "totem dvd://%s" % (GetDVDDir(source[0], 1)) # 'totem dvd://${SOURCES[0].abspath}')
+def GenPlayerAction(player_name):
+    def GenAction(source, target, env, for_signature):
+        return player_name + " dvd://%s" % (GetDVDDir(source[0], 1)) # 'totem dvd://${SOURCES[0].abspath}')
+    return GenAction
 
-MakeAbstractCommandForDVDDir("totem", GenTotemAction)
+def MakePlayerCommand(player_name):
+    MakeAbstractCommandForDVDDir(player_name, GenPlayerAction(player_name))
+
+MakePlayerCommand("totem")
+MakePlayerCommand("xine")
+
 
 DVDLabelOption = ''
 if DVDLabel:

=== debian/changelog ===
bombono-dvd (0.6.0-0ubuntu1trisquel1) slaine; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2011 21:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Standards-Version: 3.8.4
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),

## bombono-dvd 1.0.0

=== resources/scons_authoring/SConstruct ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # coding: utf-8
 
 from SConsTwin import MakeGenAction, IsSConsVersionGE
-import os
+import os, sys
 
 # поменьше служебных файлов на виду
 tmp_dir = 'temp'
@@ -22,7 +22,16 @@
 
 # нужен правильный $PATH и т.д.
 # просто Replace() не дают сделать
-DefaultEnvironment().Replace(ENV = os.environ)
+def_env = DefaultEnvironment()
+def_env.Replace(ENV = os.environ)
+
+if IsSConsVersionGE((2, 0, 0)):
+    # :KLUDGE: надо разобраться, где ошибка (=> добавить ошибку в базу SCons)
+    # проблемы имен директорий с не латинскими буквами (русскими)
+    def print_cmd_line(s, target, source, env):
+        # без u""!
+        sys.stdout.write(s + "\n")
+    def_env.Replace(PRINT_CMD_LINE_FUNC = print_cmd_line)
 
 # звук тишины для неподвижных меню
 def GetkHzArgForToolame(kHz):

=== debian/changelog ===
bombono-dvd (1.0.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #695754).
  * Build-depends on libavformat-dev,libswscale-dev.
  * Recommends on ttf-freefont.
  * Don't install FreeSans.ttf, already available in ttf-freefont.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 03 Jan 2011 10:25:30 +0100

bombono-dvd (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #670193).
  * Refresh 02_sparc.diff patch.
  * Replace 05-boost_filesystem-link.patch with 05-fix_boost.patch, it fixes
    build failure with Boost <= 1.44.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 04 Nov 2010 11:46:25 +0100

bombono-dvd (0.6.0-0ubuntu2) natty; urgency=low

  * Update build-depends to libboost-filesystem1.42-dev and
    libboost-regex1.42-dev
  * Add patch to add mlib_env.Append( LIBS = ['boost_system'] to SConstruct to
    fix indirect linking FTBFS in Natty

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Oct 2010 14:14:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Standards-Version: 3.8.4
+Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Standards-Version: 3.9.1
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
+ libavformat-dev,
+ libswscale-dev,
  libdvdread-dev,
  libgtkmm-2.4-dev,
  libxml++2.6-dev,
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
- libboost-filesystem1.40-dev,
- libboost-regex1.40-dev
+ libboost-filesystem1.42-dev,
+ libboost-regex1.42-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -25,6 +27,7 @@
  twolame,
  bombono-dvd-data,
  scons
+Recommends: ttf-freefont
 Suggests: totem
 Description: DVD authoring program with nice and clean GUI
  Bombono DVD is easy to use program for making DVD-Video.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_build:
 	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
+	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED' \
 	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
@@ -15,3 +16,9 @@
 	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
 	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp \
 	CC="$(CC)" CXX="$(CXX)" install
+	
+	cd $(CURDIR)/debian/tmp/usr/share/bombono/resources/frames && \
+	mv 'shadow & white' shadow_and_white
+	cd $(CURDIR)/debian/tmp/usr/share/bombono/resources/copy-n-paste/ && \
+	rm -f FreeSans.ttf && \
+	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf FreeSans.ttf

## bombono-dvd 1.0.0-0ubuntu1+5.0trisquel1

=== SConstruct ===
#!/usr/bin/env python
import string
import os
import sys

scripts_path = 'tools/scripts'

sys.path.append(scripts_path)
import BuildVars as BV

#
# Atom's project main SConstruct file
#
# (inspired by Blender's SConstruct file,
#  http://www.blender.org/)
#

BV.Args = ARGUMENTS
BV.Targets = COMMAND_LINE_TARGETS

############################################
# Dependency libraries & Settings

# via pkg-config
RequiredLibs = ['glibmm-2.4', 'libxml++-2.6', 'gtkmm-2.4']
FFmpegLibs   = ['libavformat', 'libavcodec', 'libswscale', 'libavutil']
RequiredLibs += FFmpegLibs

# define path to libs
def SetLibraries(config, user_options_dict):
    for lib in RequiredLibs:
        BV.SetLibInfo(config, user_options_dict, lib)

# 
def AddLibOptions(user_options):
    # we make arg's tuple from list
    args = tuple([ (BV.MakeDictName(lib),) for lib in RequiredLibs ])
    user_options.AddVariables(*args)


# legacy stuff (support for GM is hard => trash)
# to turn on:
# 1. False -> True
# 2. uncomment in src/SConscript
BuildMcomposite = False
if BuildMcomposite:
    RequiredLibs.extend(['mjpegtools', 'GraphicsMagick++'])

# global -pthread
IsThreadedBuild = False
ThreadOpt = ['-pthread']
            
############################################
# Compilers

common_warn_flags = []
cxx_warn_flags    = []
debug_flags   = ['-g', '-O0']
release_flags = ['-O2']
defines       = []

def CalcCommonFlags():
    if BV.IsReenter(CalcCommonFlags):
        return

    global common_warn_flags, cxx_warn_flags, debug_flags, defines
    if BV.IsGccCompiler():
        # GCC
        common_warn_flags = ['-ansi']
        # -Wno-reorder - not to warn if not accurate order in ctor (let compiler do!)
        # :TODO: why 
        #   CXXCOM = $CXX -o $TARGET -c $CXXFLAGS $CCFLAGS ...
        # but not
        #   CXXCOM = $CXX -o $TARGET -c $CCFLAGS $CXXFLAGS ...
        cxx_warn_flags = ['-Wall', '-W', '-Wno-reorder'] # -W == -Wextra
        # Oh, GCC! Just give me the speed. If you don't stop getting slower, I'll go to Clang.
        debug_flags += ['-pipe']
    elif BV.IsClangCompiler():
        common_warn_flags = ['-ansi']
        cxx_warn_flags    = [
            '-Wall', '-Wno-reorder', 
            '-Wno-unused-variable'   # many Boost code throws it like "boost::lambda::_1"
        ]
    elif BV.Cc == 'como' or BV.Cxx == 'como':
        # Comeau compiler
        #
        # Currently used as compile-link check only to conform "clean C++" better.
        # See extended remarks about settings used here
        #

        # don't mix compilers
        BV.Cc  = 'como'
        BV.Cxx = 'como'

        common_warn_flags = \
        [
         # accept defines like #define g_error(...) __VA_ARGS__   
         '--variadic_macros', 
         # 1   do not warn when overloaded virtual function is partially overridden
         # 2,3 type qualifiers are meaningless
         # 4   delete of pointer to incomplete class
         '--diag_suppress=611,21,815,414',
        ]
        cxx_warn_flags = []
        # policy: no XOPEN things meanwhile.
        defines = [ 
                    ('_POSIX_C_SOURCE','200112L'),  # fdopen(), fileno(), ...
                    'BOOST_NO_INT64_T',             # Glibc' int64_t trap for non-gcc compilers
                    '_ISOC99_SOURCE'                # C99 extentions: snprintf()
                  ]

#
# Users CPPFLAGS support
# Because SCons cannot handle -U option (~ #undef) it is done via
# additional variable named POST_CPPFLAGS
#
UserCppFlags = ''

def AdjustConfigOptions(env):
    CalcCommonFlags()

    if BV.IsDebugCfg():
        cflags = debug_flags
    else:
        cflags = release_flags

    ldflags = []
    #if BV.BuildProfile:
    #    cflags += profile_flags
    #    ldflags += profile_flags
    
    env.Replace(CC = BV.Cc)
    env.Replace(CXX = BV.Cxx)
    env.Prepend(CCFLAGS = cflags)
    env.Prepend(LINKFLAGS = ldflags)
    env.Prepend(CPPDEFINES = defines)
    
    # to be able to override previous options (not just to add)
    env.Append(CCFLAGS = BV.CFlags.split())
    env.Append(CXXFLAGS = BV.CxxFlags.split())
    env.Append(LINKFLAGS = BV.LdFlags.split())
    env.Append(POST_CPPFLAGS = UserCppFlags.split())
        
    # :TODO: set them when need
    #env.Replace (PATH = user_options_dict['PATH'])
    #env.Replace (AR = user_options_dict['AR'])

    # Large File Support
    if not BV.IsReenter(AdjustConfigOptions):
        if BV.IsSConsLE_0_96(env):
            # :TRICKY: nobody but me uses so old scons, so I do it straight
            dict = { 'CPPDEFINES': ['_LARGEFILE_SOURCE', ('_FILE_OFFSET_BITS', '64')] }
        else:
            dict = BV.ParseFlagsForCommand('getconf LFS_CFLAGS', 1)
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LDFLAGS'))
            dict.update(BV.ParseFlagsForCommand('getconf LFS_LIBS'))
        AdjustConfigOptions.lfs = dict
    env.Append(**AdjustConfigOptions.lfs)

    # Multithreading, global
    if IsThreadedBuild:
        env.Append(CCFLAGS = ThreadOpt, LINKFLAGS = ThreadOpt)

############################################
# Defaults

BV.CfgFile  = BV.Args.get('CFG_FILE','config.opts')

def_env = Environment(ENV = os.environ)
def_env_dict  = def_env.Dictionary()

user_options_dict = {} 

Variables = BV.Variables
EnumVariable = BV.EnumVariable
BoolVariable = BV.BoolVariable

def ParseVariables(user_options):
    user_options.AddVariables (
            (EnumVariable('BUILD_CFG',
                        'Select release or debug build.', 
                        'release', allowed_values = ('release', 'debug'))),
    		('BUILD_DIR', 'Target directory for intermediate files.',
    					'build'),
            (BoolVariable('BUILD_BRIEF',
                        'Set to 1 if you want brief compiling/linking output.',
                        'false')),
            (EnumVariable('BUILD_QUICK',
                        "Set to 'true' if you want to reduce building time using: \n"
                        "\t1) PCH - precompiled headers \n"
                        "\t2) some SCons perfomance tuning.\n"
                        "\t'auto' implies true for debug build and false for release one.",
                        'auto', allowed_values = ('auto', 'false', 'true'))),
            ('PREFIX',  'Change the default install directory.', '/usr/local'),
            ('DESTDIR', 'Set the intermediate install directory.', ''),
            ('CC', 'C compiler.'),
            ('CXX', 'C++ compiler.'),
            ('CPPFLAGS','Extra CPP flags.', ''),
            ('CFLAGS',  'Extra C Compiler flags (for C++ too).', ''),
            ('CXXFLAGS','Extra C++ Compiler flags.', ''),
            ('LDFLAGS', 'Extra Linker flags.', ''),
            (BoolVariable('TEST',
                        'Set to 1 if you want to build and run tests.',
                        'false')),
            (BoolVariable('USE_EXT_BOOST',
                        'Leave this setting 0 to use embedded Boost library version (recommended).',
                        'false')),
            ('BOOST_INCLUDE', 'Set to include path for external(not embedded) version of the Boost library.', ''),
            ('BOOST_LIBPATH', 'Set to library dir path for external(not embedded) version of the Boost library.', ''),
            ('DVDREAD_INCLUDE', 'Set to include path for libdvdread header files.', ''),
            ('DVDREAD_LIBPATH', 'Set to library path where the libdvdread is located.', ''),
            # Undocumented
            (BoolVariable('TEST_BUILD',
                        'Set to 1 if you want to build with tests (all).',
                        'false')),
            )
    # we need to add 'lib dict vars' user_options to load in user_options_env
    AddLibOptions(user_options)

    # Configuration
    def add_calc_variables(*lst):
        lst = ((name,) for name in lst)
        user_options.AddVariables( *lst )
    add_calc_variables('IS_GCC', 'IS_CLANG', 'CONFIGURATION')

    # make help (scons -h)
    user_options_env = Environment(ENV = os.environ, options = user_options)
    Help(user_options.GenerateHelpText(user_options_env))
    # fill in user_env_dict
    global user_options_dict
    user_options_dict = user_options_env.Dictionary()
    # must be later than assigning
    BV.InitUOD(user_options_dict)
    Export('user_options_dict')
    user_options_dict['AdjustConfigOptions'] = AdjustConfigOptions

    # fill in BuildVars
    BV.BuildCfg = user_options_dict['BUILD_CFG']
    BV.BuildDir = user_options_dict['BUILD_DIR']
    BV.BuildBrief = user_options_dict['BUILD_BRIEF']

    BV.Cc  = user_options_dict['CC']
    BV.Cxx = user_options_dict['CXX']
    global UserCppFlags
    UserCppFlags  = user_options_dict['CPPFLAGS']
    BV.CFlags = user_options_dict['CFLAGS']
    BV.CxxFlags = user_options_dict['CXXFLAGS']
    BV.LdFlags  = user_options_dict['LDFLAGS']
    BV.RunTests = user_options_dict['TEST']
    BV.BuildTests = user_options_dict['TEST_BUILD']

    # make build dir if not exist;
    # need to make manually for .sconsign
    if os.path.isdir(BV.BuildDir) == 0:
    	os.makedirs(BV.BuildDir)
    #SourceSignatures('timestamp')
    SConsignFile(BV.BuildDir+os.sep+'.sconsign')
    # conf dir
    user_options_dict['ConfigDir'] = BV.BuildDir+ '/' + BV.GetSrcDirPath() +'/cfg'
    user_options_dict['DVDREAD_DICT'] = { 'CPPPATH' : [user_options_dict['DVDREAD_INCLUDE']],
                                          'LIBPATH' : [user_options_dict['DVDREAD_LIBPATH']] }

############################################
# Config

if os.path.exists( BV.CfgFile ):
    print "Using config file: " + BV.CfgFile

    user_options = Variables(BV.CfgFile, BV.Args)
    ParseVariables(user_options)

else:
    print "Creating new config file: " + BV.CfgFile

    user_options = Variables(None, BV.Args)
    ParseVariables(user_options)
    try:
        def write_name_value(name, val):
            config.write('%s = %r\n' % (name, val))
        def write_dict_value(name):
            write_name_value(name, user_options_dict[name])

        # save to file
        config = open(BV.CfgFile, 'w')
    
        config.write("# Options for building Atom project\n")
        config.write('BUILD_CFG = %r\n' % (BV.BuildCfg))
        config.write('BUILD_DIR = %r\n' % (BV.BuildDir))
        config.write('BUILD_BRIEF = %r\n' % (BV.BuildBrief))
        write_dict_value('BUILD_QUICK')
        config.write('TEST = %r\n' % (BV.RunTests))
        write_dict_value('PREFIX')
        write_dict_value('DESTDIR')
    
        config.write('\n# Compiler information\n')
        config.write('CC = %r\n' % (BV.Cc))
        config.write('CXX = %r\n' % (BV.Cxx))
        write_name_value('CPPFLAGS', UserCppFlags)
        config.write('CFLAGS = %r\n' % (BV.CFlags))
        config.write('CXXFLAGS = %r\n' % (BV.CxxFlags))
        config.write('LDFLAGS = %r\n' % (BV.LdFlags))

        config.write('\n# Boost library\n')
        write_dict_value('USE_EXT_BOOST')
        write_dict_value('BOOST_INCLUDE')
        write_dict_value('BOOST_LIBPATH')

        config.write('\n# libdvdread library\n')
        write_dict_value('DVDREAD_INCLUDE')
        write_dict_value('DVDREAD_LIBPATH')

        config.write('\n### Calculated data ###\n')
        SConscript('Autoconfig')

        config.write('\n')
        write_dict_value('IS_GCC')
        write_dict_value('IS_CLANG')

        config.write('\n# Configuration\n')
        write_dict_value('CONFIGURATION')

        SetLibraries(config, user_options_dict)

        config.write('\n# Undocumented\n')
        # this one has only one purpose I can say: just build all
        # to test/profile SCons speed
        config.write('TEST_BUILD = %r\n' % (BV.BuildTests))

        config.close()
    except:
        # something went wrong, remove config and exit/raise
        #print 'Error!'
        config.close()
        os.remove(BV.CfgFile)
        # raise is better, we'll see the error and its location
        raise #Exit(1)

# optimization: checking files as make
Decider('timestamp-newer')

=== debian/changelog ===
bombono-dvd (1.0.0-0ubuntu1+5.0trisquel1) dagda; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 19 Sep 2011 23:58:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Standards-Version: 3.9.1
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),

## bombono-dvd 1.0.2

=== debian/changelog ===
bombono-dvd (1.0.2-0ubuntu2) oneiric; urgency=low

  * Port to libav 0.7 API.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Aug 2011 15:00:23 +0100

bombono-dvd (1.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #764469).
  * Add enca,ffmpeg to Depends.
  * Replace libboost-filesystem1.42-dev,libboost-regex1.42-dev with
    libboost-filesystem1.46-dev,libboost-regex1.46-dev.
  * Build-Depends on libboost-dev.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 02 May 2011 22:10:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: bombono-dvd
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Standards-Version: 3.9.1
+Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Standards-Version: 3.9.2
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
@@ -13,8 +13,9 @@
  libxml++2.6-dev,
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
- libboost-filesystem1.42-dev,
- libboost-regex1.42-dev
+ libboost-dev,
+ libboost-filesystem1.46-dev,
+ libboost-regex1.46-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -26,6 +27,8 @@
  dvd+rw-tools,
  twolame,
  bombono-dvd-data,
+ ffmpeg,
+ enca,
  scons
 Recommends: ttf-freefont
 Suggests: totem

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	scons CFLAGS="-Wno-extra" USE_EXT_BOOST=true PREFIX=/usr \
-	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED' \
+	CPPFLAGS='-UBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=2' \
 	BOOST_LIBPATH=/usr/include/boost DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_clean:

## bombono-dvd 1.2.1

=== SConstruct ===
--- 
+++ 
@@ -25,6 +25,9 @@
 RequiredLibs = ['glibmm-2.4', 'libxml++-2.6', 'gtkmm-2.4']
 FFmpegLibs   = ['libavformat', 'libavcodec', 'libswscale', 'libavutil']
 RequiredLibs += FFmpegLibs
+
+# :TODO: convert to config.opts option
+ConfigGPL = False
 
 # define path to libs
 def SetLibraries(config, user_options_dict):
@@ -335,5 +338,3 @@
         # raise is better, we'll see the error and its location
         raise #Exit(1)
 
-# optimization: checking files as make
-Decider('timestamp-newer')

=== debian/changelog ===
bombono-dvd (1.2.1-0ubuntu5) saucy; urgency=low

  * Cherry-pick patches from upstream to build against boost1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 02 May 2013 22:09:31 +0100

bombono-dvd (1.2.1-0ubuntu4) raring; urgency=low

  * 03_libav.patch: fix FTBFS with libav9. Patch taken from upstream that
    disable DVD reading until a real solution is found.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 08 Nov 2012 06:47:43 +0100

bombono-dvd (1.2.1-0ubuntu3) quantal; urgency=low

  * debian/control:
    + Bump standards version to 3.9.3
    + Build-depend on unversioned boost libraries:
      libboost-filesystem1.46-dev -> libboost-filesystem-dev
      libboost-regex1.46-dev -> libboost-regex-dev
    + Add python dependency to bombono-dvd-data to fix lintian error
      python-script-but-no-python-dep. It could be overridden, but this
      dependency doesn't hurt.
  * debian/patches/01_glib.patch:
    + Cherrypick a patch from upstream to fix FTBFS with new glib.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 29 May 2012 08:13:54 +0100

bombono-dvd (1.2.1-0ubuntu2) precise; urgency=low

  * Don't install manpages into both mandvd{,-data} packages, fix
    uninstallable state. (LP: #930897)
  * Properly set bombono-dvd's Breaks/Replaces fields to properly replace
    bombono-dvd-data.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 12 Feb 2012 12:33:55 +0100

bombono-dvd (1.2.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #890495)
  * Remove patches, applied upstream or not needed anymore:
    - 04-desktop_file.patch 
    - 05-fix_boost.patch
    - 06-libav-0.7.patch
  * Enable parallel builds.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 09 Feb 2012 22:41:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.bombono.org
 Build-Depends: debhelper (>= 7.0.50~),
  scons,
@@ -14,8 +14,8 @@
  libmjpegtools-dev,
  libgraphicsmagick++1-dev,
  libboost-dev,
- libboost-filesystem1.46-dev,
- libboost-regex1.46-dev
+ libboost-filesystem-dev,
+ libboost-regex-dev
 
 Package: bombono-dvd
 Architecture: any
@@ -26,10 +26,12 @@
  mjpegtools,
  dvd+rw-tools,
  twolame,
- bombono-dvd-data,
+ bombono-dvd-data (>= ${source:Version}),
  ffmpeg,
  enca,
  scons
+Breaks: bombono-dvd-data (<= 1.2.1-0ubuntu1)
+Replaces: bombono-dvd-data (<= 1.2.1-0ubuntu1)
 Recommends: ttf-freefont
 Suggests: totem
 Description: DVD authoring program with nice and clean GUI
@@ -44,7 +46,7 @@
 Package: bombono-dvd-data
 Architecture: all
 Enhances: bombono-dvd
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python
 Description: Data files for bombono-dvd
  Bombono DVD is easy to use program for making DVD-Video.
  The main features of Bombono DVD are:
